Ad Account Reachestimate
Updated: Apr 27, 2026
Copy for LLM
Ads in WhatsApp Status are available via the Marketing API. Learn more about ads in WhatsApp Status.
Reading
Used to get the audience size estimation based on a targeting specification using this ad account. This endpoint returns a range-based size in the form of two fields:
users_lower_bound and users_upper_bound.Limitations
Reach estimates for custom audiences may not be available for certain businesses. When unavailable, the endpoint returns -1 for the estimate fields. This does not indicate an empty audience or prevent ad delivery.
Example
GET /v25.0/act_<AD_ACCOUNT_ID>/reachestimate?targeting_spec=%7B%22geo_locations%22%3A%7B%22countries%22%3A%5B%22US%22%5D%7D%2C%22age_min%22%3A20%2C%22age_max%22%3A40%7D HTTP/1.1 Host: graph.facebook.com
Try it in Graph API Explorer
If you want to learn how to use the Graph API, read our Using Graph API guide
Parameters
| Parameter | Description |
|---|---|
object_store_urlstring |
Used in mobile app campaign. The url of the app in the app store.
|
targeting_specTargeting object |
The targeting structure for reach estimate. countries is required. See targeting.
required |
Fields
Reading from this edge will return a JSON formatted result:
{
"data": [],
"paging": {}
}
data
A single AdAccountReachEstimate node.
paging
For more details about pagination, see the Graph API guide.
Error Codes
| Error Code | Description |
|---|---|
100 | Invalid parameter |
80004 | There have been too many calls to this ad-account. Wait a bit and try again. For more info, please refer to /docs/graph-api/overview/rate-limiting#ads-management. |
613 | Calls to this api have exceeded the rate limit. |
200 | Permissions error |
190 | Invalid OAuth 2.0 Access Token |
2641 | Your ad includes or excludes locations that are currently restricted |
Creating
You can't perform this operation on this endpoint.
Updating
You can't perform this operation on this endpoint.
Deleting
You can't perform this operation on this endpoint.